net.sourceforge.pmd.ast

## Class ASTPrimarySuffixTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTPrimarySuffixTest

    public class ASTPrimarySuffixTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTPrimarySuffixTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testArguments()`
`void` `testArrayDereference()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTPrimarySuffixTest

    public ASTPrimarySuffixTest()

### Method Detail

#### testArrayDereference

    public void testArrayDereference()
                              throws Throwable

Throws:
  `Throwable`

#### testArguments

    public void testArguments()
                       throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()